<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

// Azure AD Authentication Routes
Route::get('/', [App\Http\Controllers\AuthController::class, 'signin']) -> name('app_signin');
Route::get('/callback', [App\Http\Controllers\AuthController::class, 'callback']) -> name('app_callback');
Route::get('/signout', [App\Http\Controllers\AuthController::class, 'signout']) -> name('app_signout');

// Main Routes
Route::get('/conventions/{type}',[App\Http\Controllers\LogedInUser::class, 'getUserConventions']) -> name('user_info_part');

// File Import/Export Routes
Route::get('/export',[App\Http\Controllers\ExportConventionsController::class, 'export']) -> name('export_conv');
Route::post('/import',[App\Http\Controllers\ImportConventionsController::class, 'import']) -> name('import_conv');
